type -'a handle

type rw = [`R|`W]
type ro = [`R]
type wo = [`W]

val open_rw : string -> rw handle
val open_ro : string -> ro handle
val open_wo : string -> wo handle

val read : [> `R] handle -> string
val write : [> `W] handle -> string -> unit

val close : 'a handle -> unit
