type +'a handle

type rw = < read : int ; write : int >
type ro = < read : int >
type wo = < write : int >

val open_rw : string -> rw handle
val open_ro : string -> ro handle
val open_wo : string -> wo handle

val read : < read : int ; .. > handle -> string
val write : < write : int ; .. > handle -> string -> unit

val close : 'a handle -> unit
